package demo;

import demo.api.CtmsService;
import demo.api.impl.CtmsServiceImpl;

import java.io.IOException;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * Created by lxji on 2017/8/16.
 */
public class TestMeipin {
    private static final String BASEURL = "http://api.test.56ctms.com";

    private static final String token = "e75fe624-eab6-4238-85f8-1cdb82d71568";

    private static final CtmsService ctmsService = new CtmsServiceImpl(BASEURL);

    public static void main(String[] args) throws IOException {
//        createOrderTest();
        //updateBatchTest();
        cancelOrderTest();
    }

    public static void createOrderTest() throws IOException {
        List<CtmsService.Dto.OrderEntity> orderEntities = new ArrayList<>();
        CtmsService.Dto.OrderEntity orderEntity = new CtmsService.Dto.OrderEntity();
        orderEntity.setOrderNumber("wmssn123"); // wms number
        orderEntity.setCustomerOrderNumber("017081010009051"); // 销售单号
        orderEntity.setDeliveryTime(1502880855); // 送货时间
        orderEntity.setPreDeliveryTime(1502880855); // 预约发货时间
        orderEntity.setStartAddress("郑州");
        orderEntity.setEndAddress("武汉");
        orderEntity.setConsignerCity("郑州");
        orderEntity.setConsignerDistrict("郑州利泉局"); // 发货方
        orderEntity.setConsignerPhone("123");
        orderEntity.setConsignerName("卜桂芳"); // 发货人
        orderEntity.setConsignerAddress("郑州市惠济区天河路格力广场3号库负一层");
        orderEntity.setDeliveryArea("二七市区二区"); // 配送区域
        orderEntity.setConsigneeCity("郑州");
        orderEntity.setConsigneeName("黄洁丽");
        orderEntity.setConsigneePhone("123");
        orderEntity.setConsigneeAddress("河南郑州市二七区瓯海中路");
        orderEntity.setPayMode("非货到付款");

        Map<String, Object> extraFields = new HashMap<>();
        extraFields.put("note1", "111111");
        orderEntity.setExtraFields(extraFields);

        orderEntities.add(orderEntity);
        ctmsService.authorize(token);
        CtmsService.Dto.CtmsResponse response = ctmsService.createOrder(orderEntities);
        System.out.println(response);
        if (response.getCode() == 200) {
            List<String> orderNumbers = (List<String>) response.getData();
            System.out.println(orderNumbers);
        }
    }

    public static void cancelOrderTest() throws IOException {
        List<String> orderNumbers = new ArrayList<>();
        orderNumbers.add("1708241635959346");
        orderNumbers.add("1708241600723079");
        ctmsService.authorize(token);
        CtmsService.Dto.CtmsResponse response = ctmsService.cancelOrders(orderNumbers);
        System.out.println(response);
    }
}
